#ifndef DISPLAY_H
#define DISPLAY_H
#include <avr/io.h>
//define multiplex
#define PORTD_MULTIPLEX_MASK 0x9E
#define PORTB_MULTIPLEX_MASK 0x03
const uint8_t digits[13]={
  0x3F, //0
  0x06, //1
  0x5B, //2
  0x4F, //3
  0x66, //4
  0x6D, //5
  0x7D, //6
  0x07, //7
  0x7F, //8
  0x6F, //9
  0x00, //clear digit
  0x45, //light + arrows
  0x55, //light + arrows + water
};

#define DIGIT0 (1<<PB3)
#define DIGIT1 (1<<PB4)
#define DIGIT2 (1<<PB5)
#define DIGIT3 (1<<PC2)
#define DIGIT4 (1<<PC3)
#define DIGIT012_port PORTB
#define DIGIT012_dir DDRB
#define DIGIT34_port PORTC
#define DIGIT34_dir DDRC

extern volatile uint8_t displayDigits[5];
extern volatile uint8_t currentDigit;
void Multiplex_init();
void _displayNum(uint8_t num);
void DisplayInt(int value);
#endif