#include <Arduino.h>
#include <Wire.h>
#include "light.h"
#include "wireHelpers.h"

bool lightOn;
uint8_t lightBrightness = 0;
unsigned long _last_light_step = 0;
bool lightOnOverride = false;

unsigned int handleLightSensor(){
  unsigned int lightValue = requestUINT(LIGHT_SENSOR_ADDRESS);
  if(evaluateLightValue(lightValue)){
    animateLight(255, lightOnOverride? 0 : 40);
  }
  else{
    animateLight(0, 40);
  }
  return lightValue;
}

void animateLight(uint8_t to, unsigned long time){
  if(lightBrightness != to && millis() - _last_light_step >= time);
  _last_light_step = millis();
  if(lightBrightness > to){
    --lightBrightness;
  }
  else if(lightBrightness < to){
    ++lightBrightness;
  }
  analogWrite(LIGHT_PIN,lightBrightness);
}
bool evaluateLightValue(unsigned int value){
  if( (!lightOn && (value>NIGHT_TRESHOLD&&value<DIRECT_SUN_LOW_TRESHOLD))||lightOnOverride){
    lightOn = true;
  }
  else if(lightOn&& (value>DIRECT_SUN_UP_TRESHOLD || value<=NIGHT_TRESHOLD) )
  {
    lightOn = false;
  }
  return lightOn;
}